module(...)
--auto generate data
DATA={
	[30001]={
		AcceptCallPlot=0,
		desc=[[[654A33] Upgrade skill main char 1 time]],
		guide={[1]=1,[2]=2,},
		id=30001,
		min_lv=9,
		open_id=102,
		playid=0,
		reward={[1]=1001,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Upgrade Skill]],
		type=7,
	},
	[30002]={
		AcceptCallPlot=0,
		desc=[[[654A33] Summon a hero]],
		guide={[1]=3,[2]=4,},
		id=30002,
		min_lv=10000,
		open_id=1001,
		playid=0,
		reward={[1]=1002,},
		show=1,
		showing_reward={[1]={id=10020,num=1,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Summon Hero]],
		type=7,
	},
	[30003]={
		AcceptCallPlot=0,
		desc=[[[654A33] Training 3 heros]],
		guide={[1]=5,[2]=6,},
		id=30003,
		min_lv=2,
		open_id=201,
		playid=0,
		reward={[1]=1003,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=3,
		title=[[Training Hero]],
		type=7,
	},
	[30004]={
		AcceptCallPlot=0,
		desc=[[[654A33] Equip 1 rune]],
		guide={[1]=7,[2]=8,},
		id=30004,
		min_lv=10000,
		open_id=203,
		playid=0,
		reward={[1]=1004,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Rune Equipment]],
		type=7,
	},
	[30005]={
		AcceptCallPlot=0,
		desc=[[[654A33] Completed a training]],
		guide={[1]=9,[2]=10,},
		id=30005,
		min_lv=10000,
		open_id=1025,
		playid=0,
		reward={[1]=1005,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Family Trainer]],
		type=7,
	},
	[30006]={
		AcceptCallPlot=0,
		desc=[[[654A33] Complete setting of personal friends information]],
		guide={[1]=11,[2]=12,},
		id=30006,
		min_lv=9,
		open_id=1026,
		playid=0,
		reward={[1]=1006,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Information settings]],
		type=7,
	},
	[30007]={
		AcceptCallPlot=0,
		desc=[[[654A33] Join 1 guild]],
		guide={[1]=13,[2]=14,},
		id=30007,
		min_lv=10,
		open_id=600,
		playid=0,
		reward={[1]=1007,},
		show=1,
		showing_reward={[1]={id=1003,num=20,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Join a guild]],
		type=7,
	},
	[30008]={
		AcceptCallPlot=0,
		desc=[[[654A33] Complete dig 3 times]],
		guide={[1]=15,[2]=16,},
		id=30008,
		min_lv=12,
		open_id=1010,
		playid=0,
		reward={[1]=1008,},
		show=1,
		showing_reward={[1]={id=1003,num=40,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=3,
		title=[[Digging]],
		type=7,
	},
	[30009]={
		AcceptCallPlot=0,
		desc=[[[654A33] Join World Arena 5 times]],
		guide={[1]=17,[2]=18,},
		id=30009,
		min_lv=13,
		open_id=1002,
		playid=0,
		reward={[1]=1009,},
		show=1,
		showing_reward={[1]={id=1003,num=20,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=5,
		title=[[World Arena]],
		type=7,
	},
	[30010]={
		AcceptCallPlot=0,
		desc=[[[654A33] Complete 1 round daily quest]],
		guide={[1]=19,[2]=20,},
		id=30010,
		min_lv=10000,
		open_id=702,
		playid=0,
		reward={[1]=1010,},
		show=1,
		showing_reward={[1]={id=1003,num=40,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Daily quest]],
		type=7,
	},
	[30011]={
		AcceptCallPlot=0,
		desc=[[[654A33] Enhance rune 3 times]],
		guide={[1]=21,[2]=22,},
		id=30011,
		min_lv=14,
		open_id=203,
		playid=0,
		reward={[1]=1011,},
		show=1,
		showing_reward={[1]={id=1002,num=10000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=3,
		title=[[Enhance rune]],
		type=7,
	},
	[30012]={
		AcceptCallPlot=0,
		desc=[[[654A33] Join Quiz 1 time]],
		guide={[1]=23,[2]=24,},
		id=30012,
		min_lv=17,
		open_id=1008,
		playid=0,
		reward={[1]=1012,},
		show=1,
		showing_reward={[1]={id=1002,num=20000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[World Quiz]],
		type=7,
	},
	[30013]={
		AcceptCallPlot=0,
		desc=[[[654A33] Joined 1 PVP group]],
		guide={[1]=25,[2]=26,},
		id=30013,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=1013,},
		show=1,
		showing_reward={[1]={id=1003,num=40,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[PVP]],
		type=7,
	},
	[30014]={
		AcceptCallPlot=0,
		desc=[[[654A33] Completed a training round]],
		guide={[1]=27,[2]=28,},
		id=30014,
		min_lv=10000,
		open_id=1033,
		playid=0,
		reward={[1]=1014,},
		show=1,
		showing_reward={[1]={id=1003,num=20,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=10,
		title=[[Daily training]],
		type=7,
	},
	[30015]={
		AcceptCallPlot=0,
		desc=[[[654A33] Enter Full Moon Raid and kill monster of first wave]],
		guide={[1]=29,[2]=30,},
		id=30015,
		min_lv=7,
		open_id=1007,
		playid=0,
		reward={[1]=1015,},
		show=1,
		showing_reward={[1]={id=1002,num=20000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Full Moon Raid]],
		type=7,
	},
	[30016]={
		AcceptCallPlot=0,
		desc=[[[654A33] Add Gem Stone 1 time]],
		guide={[1]=31,[2]=32,},
		id=30016,
		min_lv=19,
		open_id=303,
		playid=0,
		reward={[1]=1016,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Magic Stone]],
		type=7,
	},
	[30017]={
		AcceptCallPlot=0,
		desc=[[[654A33] Spend 20 reseach point]],
		guide={[1]=33,[2]=34,},
		id=30017,
		min_lv=14,
		open_id=1011,
		playid=0,
		reward={[1]=1017,},
		show=1,
		showing_reward={[1]={id=10020,num=1,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=20,
		title=[[Research]],
		type=7,
	},
	[30018]={
		AcceptCallPlot=0,
		desc=[[[654A33] Soul Spel 1 time]],
		guide={[1]=35,[2]=36,},
		id=30018,
		min_lv=21,
		open_id=302,
		playid=0,
		reward={[1]=1018,},
		show=1,
		showing_reward={[1]={id=1002,num=10000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Soul Spel]],
		type=7,
	},
	[30019]={
		AcceptCallPlot=0,
		desc=[[[654A33] Enhance gear 1 time]],
		guide={[1]=37,[2]=38,},
		id=30019,
		min_lv=15,
		open_id=301,
		playid=0,
		reward={[1]=1019,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Enhance Gear]],
		type=7,
	},
	[30020]={
		AcceptCallPlot=0,
		desc=[[[654A33] Equip any 4 suit rune]],
		guide={[1]=39,[2]=40,},
		id=30020,
		min_lv=4,
		open_id=203,
		playid=0,
		reward={[1]=1020,},
		show=1,
		showing_reward={[1]={id=1002,num=20000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Gear Rune]],
		type=7,
	},
	[30021]={
		AcceptCallPlot=0,
		desc=[[[654A33] Switch a gear of main character]],
		guide={[1]=41,[2]=42,},
		id=30021,
		min_lv=10000,
		open_id=401,
		playid=0,
		reward={[1]=1021,},
		show=1,
		showing_reward={[1]={id=1002,num=10000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Switch gear]],
		type=7,
	},
	[30022]={
		AcceptCallPlot=0,
		desc=[[[654A33] Successfully Tea party 2 times]],
		guide={[1]=43,[2]=44,},
		id=30022,
		min_lv=12,
		open_id=1023,
		playid=0,
		reward={[1]=1022,},
		show=1,
		showing_reward={[1]={id=1003,num=50,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=2,
		title=[[Tea Party]],
		type=7,
	},
	[30023]={
		AcceptCallPlot=0,
		desc=[[[654A33] Complete any 5 achievements]],
		guide={[1]=45,[2]=46,},
		id=30023,
		min_lv=8,
		open_id=1016,
		playid=0,
		reward={[1]=1023,},
		show=1,
		showing_reward={[1]={id=1002,num=10000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=5,
		title=[[Achievement]],
		type=7,
	},
	[30024]={
		AcceptCallPlot=0,
		desc=[[[654A33] Unlock any area in the Appraising World [be3d3b] ]],
		guide={[1]=47,[2]=48,},
		id=30024,
		min_lv=9,
		open_id=1030,
		playid=0,
		reward={[1]=1024,},
		show=1,
		showing_reward={[1]={id=1002,num=10000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[World Collection]],
		type=7,
	},
	[30025]={
		AcceptCallPlot=0,
		desc=[[[654A33] Successfully challenge collect 2 times]],
		guide={[1]=49,[2]=50,},
		id=30025,
		min_lv=10,
		open_id=1027,
		playid=0,
		reward={[1]=1025,},
		show=1,
		showing_reward={[1]={id=1002,num=20000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=2,
		title=[[Collector Challenge]],
		type=7,
	},
	[30026]={
		AcceptCallPlot=0,
		desc=[[[654A33] Successfully Expedition 1 time]],
		guide={[1]=51,[2]=52,},
		id=30026,
		min_lv=11,
		open_id=1013,
		playid=0,
		reward={[1]=1026,},
		show=1,
		showing_reward={[1]={id=1002,num=10000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Expedition Hero]],
		type=7,
	},
	[30027]={
		AcceptCallPlot=0,
		desc=[[[654A33] Win balance arena 1 time]],
		guide={[1]=53,[2]=54,},
		id=30027,
		min_lv=10000,
		open_id=1015,
		playid=0,
		reward={[1]=1027,},
		show=1,
		showing_reward={[1]={id=1002,num=20000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Balance Arena]],
		type=7,
	},
	[30028]={
		AcceptCallPlot=0,
		desc=[[[654A33] Finish equip dungeon 1 time]],
		guide={[1]=55,[2]=56,},
		id=30028,
		min_lv=15,
		open_id=1028,
		playid=0,
		reward={[1]=1028,},
		show=1,
		showing_reward={[1]={id=1002,num=10000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Equip dungeon]],
		type=7,
	},
	[30029]={
		AcceptCallPlot=0,
		desc=[[[654A33] Awakening any hero 1 time]],
		guide={[1]=57,[2]=58,},
		id=30029,
		min_lv=13,
		open_id=204,
		playid=0,
		reward={[1]=1029,},
		show=1,
		showing_reward={[1]={id=1003,num=20,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Awaken hero]],
		type=7,
	},
	[30030]={
		AcceptCallPlot=0,
		desc=[[[654A33] Kill any Nightmare boss]],
		guide={[1]=59,[2]=60,},
		id=30030,
		min_lv=26,
		open_id=1029,
		playid=0,
		reward={[1]=1030,},
		show=1,
		showing_reward={[1]={id=1003,num=50,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Nightmare]],
		type=7,
	},
	[30031]={
		AcceptCallPlot=0,
		desc=[[[654A33] Complete cooking 1 time]],
		guide={[1]=61,[2]=62,},
		id=30031,
		min_lv=6,
		open_id=1014,
		playid=0,
		reward={[1]=1031,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[Cooking]],
		type=7,
	},
	[30032]={
		AcceptCallPlot=0,
		desc=[[[654A33] Gift to a hero in housing 1 time]],
		guide={[1]=63,[2]=64,},
		id=30032,
		min_lv=6,
		open_id=1031,
		playid=0,
		reward={[1]=1031,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=1,
		title=[[A Gift]],
		type=7,
	},
	[30033]={
		AcceptCallPlot=0,
		desc=[[[654A33] Merge rune 3 times]],
		guide={[1]=65,[2]=66,},
		id=30033,
		min_lv=14,
		open_id=1032,
		playid=0,
		reward={[1]=1031,},
		show=1,
		showing_reward={[1]={id=1002,num=5000,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=3,
		title=[[Merge Rune]],
		type=7,
	},
	[30500]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Summon hero]],
		guide={[1]=500,[2]=501,},
		id=30500,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Summon Hero]],
		type=7,
	},
	[30510]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Dimensions 1 time]],
		guide={[1]=510,[2]=511,},
		id=30510,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Dimensions]],
		type=7,
	},
	[30520]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Housing]],
		guide={[1]=520,[2]=521,},
		id=30520,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[House]],
		type=7,
	},
	[30530]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Guild]],
		guide={[1]=530,[2]=531,},
		id=30530,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Guild]],
		type=7,
	},
	[30540]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Expedition Hero]],
		guide={[1]=540,[2]=541,},
		id=30540,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Expedition Hero]],
		type=7,
	},
	[30550]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Tea Party]],
		guide={[1]=550,[2]=551,},
		id=30550,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Tea Party]],
		type=7,
	},
	[30560]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Vault]],
		guide={[1]=560,[2]=561,},
		id=30560,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Vault]],
		type=7,
	},
	[30570]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Arena]],
		guide={[1]=570,[2]=571,},
		id=30570,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Arena]],
		type=7,
	},
	[30580]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Equip Dungeon]],
		guide={[1]=580,[2]=581,},
		id=30580,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Equip Dungeon]],
		type=7,
	},
	[30590]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Training]],
		guide={[1]=590,[2]=591,},
		id=30590,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Training Hero]],
		type=7,
	},
	[30600]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Research]],
		guide={[1]=600,[2]=601,},
		id=30600,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Research]],
		type=7,
	},
	[30610]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Hero]],
		guide={[1]=610,[2]=611,},
		id=30610,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Hero]],
		type=7,
	},
	[30620]={
		AcceptCallPlot=0,
		desc=[[[654A33] Tutorial: Duel]],
		guide={[1]=620,[2]=621,},
		id=30620,
		min_lv=10000,
		open_id=0,
		playid=0,
		reward={[1]=0,},
		show=0,
		showing_reward={[1]={id=0,num=0,},},
		submitCallPlot=0,
		submitRewardStr={[1]=[[R1020]],[2]=[[R1002]],[3]=[[R1021]],},
		times=0,
		title=[[Duel]],
		type=7,
	},
}

ProgressReward={
	[1]={
		icon=[[pic_xiaotubiao_9]],
		id=1,
		progress=8,
		reward={[1]=1052,[2]=1048,[3]=1049,[4]=1050,[5]=1051,},
		showing_reward={
			[1]={id=10021,num=1,},
			[2]={id=27401,num=80,},
			[3]={id=27404,num=50,},
			[4]={id=27407,num=50,},
			[5]={id=27410,num=50,},
		},
	},
	[2]={
		icon=[[pic_xiaotubiao_10]],
		id=2,
		progress=15,
		reward={[1]=1052,[2]=1040,[3]=1041,[4]=1042,[5]=1043,},
		showing_reward={
			[1]={id=10021,num=1,},
			[2]={id=27402,num=27,},
			[3]={id=27405,num=18,},
			[4]={id=27408,num=18,},
			[5]={id=27411,num=18,},
		},
	},
	[3]={
		icon=[[pic_xiaotubiao_11]],
		id=3,
		progress=25,
		reward={[1]=1052,[2]=1044,[3]=1045,[4]=1046,[5]=1047,},
		showing_reward={
			[1]={id=10021,num=1,},
			[2]={id=27403,num=8,},
			[3]={id=27406,num=5,},
			[4]={id=27409,num=5,},
			[5]={id=27412,num=5,},
		},
	},
}

Guide={
	[1]={
		desc=[[[654A33] Click the [be3d3b] skill [654A33] button to open the [be3d3b] skill interface[654A33]!]],
		id=1,
		pic=[[teach_00001]],
	},
	[2]={
		desc=[[[654A33] Click [be3d3b] to upgrade [654A33] to [be3d3b] to upgrade skills [654A33]!]],
		id=2,
		pic=[[teach_00002]],
	},
	[3]={
		desc=[[[654A33] Click the [be3d3b] Summon [654A33] button to open the [be3d3b] Summon interface[654A33]!]],
		id=3,
		pic=[[teach_00003]],
	},
	[4]={
		desc=[[[654A33] Click [be3d3b] to summon [654A33] to [be3d3b] to Summon heroes[654A33]!]],
		id=4,
		pic=[[teach_00004]],
	},
	[5]={
		desc=[[[654A33] Click the [be3d3b] hero [654A33] button to open the [be3d3b] hero interface[654A33]!]],
		id=5,
		pic=[[teach_00005]],
	},
	[6]={
		desc=[[[654A33] Click [be3d3b] Cultivate [654A33] to open the [be3d3b] Cultivation interface [654A33] Cultivating!]],
		id=6,
		pic=[[teach_00006]],
	},
	[7]={
		desc=[[[654A33] Click the [be3d3b] hero [654A33] button to open the [be3d3b] rune interface [654A33]!]],
		id=7,
		pic=[[teach_00007]],
	},
	[8]={
		desc=[[[654A33] Select [be3d3b] Rune [654A33] and click [be3d3b] to equip [654A33]!]],
		id=8,
		pic=[[teach_00008]],
	},
	[9]={
		desc=[[[654A33] Click the [be3d3b] Housing [654A33] button to open the [be3d3b] Housing interface[654A33]!]],
		id=9,
		pic=[[teach_00009]],
	},
	[10]={
		desc=[[[654A33] Click [be3d3b] to summon [654A33] to [be3d3b] to Summon heroes[654A33]!]],
		id=10,
		pic=[[teach_00010]],
	},
	[11]={
		desc=[[[654A33] Click the [be3d3b] Friends button [654A33] to open the space[be3d3b] [654A33]!]],
		id=11,
		pic=[[teach_00011]],
	},
	[12]={
		desc=[[[654A33] Edit [be3d3b] personal information [654A33] to get rewards [654A33] for [be3d3b]!]],
		id=12,
		pic=[[teach_00012]],
	},
	[13]={
		desc=[[[654A33] Click the [be3d3b] Guild [654A33] button to open the [be3d3b] Guild interface[654A33]!]],
		id=13,
		pic=[[teach_00013]],
	},
	[14]={
		desc=[[[654A33] Click [be3d3b] to quickly join [654A33] with [be3d3b] Guild [654A33]!]],
		id=14,
		pic=[[teach_00014]],
	},
	[15]={
		desc=[[[654A33] Open bag [be3d3b] [654A33] and use tools [be3d3b] dig map [654A33]!]],
		id=15,
		pic=[[teach_00015]],
	},
	[16]={
		desc=[[[654A33] Follow the compass instructions of [be3d3b] [654A33] to [be3d3b] dig Runes [654A33]!]],
		id=16,
		pic=[[teach_00016]],
	},
	[17]={
		desc=[[[654A33] Click [be3d3b] Arena [654A33] button to open [be3d3b] Ranking Arena interface [654A33]!]],
		id=17,
		pic=[[teach_00017]],
	},
	[18]={
		desc=[[[654A33] Click the [be3d3b] [654A33] button to enter [be3d3b] to enter the ranked battle [654A33]!]],
		id=18,
		pic=[[teach_00018]],
	},
	[19]={
		desc=[[[654A33] Click the [be3d3b] Summon [654A33] button to open the [be3d3b] summon interface[654A33]!]],
		id=19,
		pic=[[teach_00019]],
	},
	[20]={
		desc=[[[654A33] Click [be3d3b] to summon [654A33] to [be3d3b] to Summon heroes[654A33]!]],
		id=20,
		pic=[[teach_00020]],
	},
	[21]={
		desc=[[[654A33] Click the [be3d3b] hero [654A33] button to open the [be3d3b] hero interface[654A33]!]],
		id=21,
		pic=[[teach_00021]],
	},
	[22]={
		desc=[[[654A33] Select the [654A33] rune worn by [be3d3b], click [be3d3b] to enhance [654A33]!]],
		id=22,
		pic=[[teach_00022]],
	},
	[23]={
		desc=[[[654A33] Click the activity entrance [be3d3b] [654A33] to enter the [be3d3b] answering interface [654A33]!]],
		id=23,
		pic=[[teach_00023]],
	},
	[24]={
		desc=[[[654A33] [be3d3b] Join Quiz [654A33] in the event interface!]],
		id=24,
		pic=[[teach_00024]],
	},
	[25]={
		desc=[[[654A33] Click the [be3d3b] Summon [654A33] button to open the [be3d3b] summon interface[654A33]!]],
		id=25,
		pic=[[teach_00025]],
	},
	[26]={
		desc=[[[654A33] Click [be3d3b] to summon [654A33] to [be3d3b] to Summon heroes[654A33]!]],
		id=26,
		pic=[[teach_00026]],
	},
	[27]={
		desc=[[[654A33] Click the [be3d3b] Training [654A33] button on the main interface to open the [be3d3b] Training interface [654A33]!]],
		id=27,
		pic=[[teach_00027]],
	},
	[28]={
		desc=[[[654A33] Click [be3d3b] to start Training [654A33]!]],
		id=28,
		pic=[[teach_00028]],
	},
	[29]={
		desc=[[[654A33] Use [be3d3b] Full Moon Ticket [654A33] in [be3d3b] bag [654A33]!]],
		id=29,
		pic=[[teach_00029]],
	},
	[30]={
		desc=[[[654A33] Select [be3d3b] targeted monster [654A33] to enter battle!]],
		id=30,
		pic=[[teach_00030]],
	},
	[31]={
		desc=[[[654A33] Click the [be3d3b] Equipment button [654A33] to open the [be3d3b] Equipment interface [654A33]!]],
		id=31,
		pic=[[teach_00031]],
	},
	[32]={
		desc=[[[654A33] Select gem [be3d3b] [654A33] and click to encrust!]],
		id=32,
		pic=[[teach_00032]],
	},
	[33]={
		desc=[[[654A33] Go to [be3d3b] Field Map [654A33], click the [be3d3b] Research button [654A33]!]],
		id=33,
		pic=[[teach_00033]],
	},
	[34]={
		desc=[[[654A33] Click [be3d3b] Research [654A33] to start exploring!]],
		id=34,
		pic=[[teach_00034]],
	},
	[35]={
		desc=[[[654A33] Click the [be3d3b] Equipment button [654A33] to open the [be3d3b] Equipement Controlling interface [654A33]!]],
		id=35,
		pic=[[teach_00035]],
	},
	[36]={
		desc=[[[654A33] Click on [be3d3b] to reset [654A33] and then [be3d3b] can be equipped to Spirit Spell [654A33]!]],
		id=36,
		pic=[[teach_00036]],
	},
	[37]={
		desc=[[[654A33] Click the [be3d3b] equipment button [654A33] to open the [be3d3b] equipment enhance interface [654A33]!]],
		id=37,
		pic=[[teach_00037]],
	},
	[38]={
		desc=[[[654A33] Click [be3d3b] to enhance[654A33] go to [be3d3b] in order to enhance equipments [654A33]!]],
		id=38,
		pic=[[teach_00038]],
	},
	[39]={
		desc=[[[654A33] Click the [be3d3b] hero [654A33] button to open the [be3d3b] rune interface [654A33]!]],
		id=39,
		pic=[[teach_00039]],
	},
	[40]={
		desc=[[[654A33] Select [be3d3b] Rune [654A33] and click [be3d3b] to equip [654A33]!]],
		id=40,
		pic=[[teach_00040]],
	},
	[41]={
		desc=[[[654A33] Click the [be3d3b] bag [654A33] button to open the [be3d3b] equipment interface[654A33]!]],
		id=41,
		pic=[[teach_00041]],
	},
	[42]={
		desc=[[[654A33] Select equipment [be3d3b] [654A33] and click [be3d3b] to replace [654A33]!]],
		id=42,
		pic=[[teach_00042]],
	},
	[43]={
		desc=[[[654A33] Field [be3d3b] Click on the Tea Party NPC [654A33] to open the [be3d3b] NPC dialogue interface [654A33]!]],
		id=43,
		pic=[[teach_00043]],
	},
	[44]={
		desc=[[[654A33] Click [be3d3b] combat [654A33] to enter [be3d3b] challenge the cute Tea Party [654A33]!]],
		id=44,
		pic=[[teach_00044]],
	},
	[45]={
		desc=[[[654A33] Click [be3d3b] Achievements [654A33] to open the [be3d3b] Achievements interface[654A33]!]],
		id=45,
		pic=[[teach_00045]],
	},
	[46]={
		desc=[[[654A33] Complete [be3d3b] 5 [654A33] any [be3d3b] achievement to get rewards [654A33]!]],
		id=46,
		pic=[[teach_00046]],
	},
	[47]={
		desc=[[[654A33] Click the [be3d3b] Picture Book [654A33] button to open the [be3d3b] World Picture Book interface[654A33]!]],
		id=47,
		pic=[[teach_00047]],
	},
	[48]={
		desc=[[[654A33] Collect [be3d3b] Best Friends [654A33] to unlock [be3d3b] World Story [654A33]!]],
		id=48,
		pic=[[teach_00048]],
	},
	[49]={
		desc=[[[654A33] Click the button of [be3d3b] Picture Book [654A33] to open the [be3d3b] Character Picture Book interface [654A33]!]],
		id=49,
		pic=[[teach_00049]],
	},
	[50]={
		desc=[[[654A33] Go to [be3d3b] another map [654A33] and you can [be3d3b] challenge the character [654A33]!]],
		id=50,
		pic=[[teach_00050]],
	},
	[51]={
		desc=[[[654A33] Click the [be3d3b]Expdition[654A33] button to open the [be3d3b] travel interface[654A33] !]],
		id=51,
		pic=[[teach_00051]],
	},
	[52]={
		desc=[[[654A33] Select [be3d3b] hero [654A33] to start [be3d3b] and start traveling [654A33]!]],
		id=52,
		pic=[[teach_00052]],
	},
	[53]={
		desc=[[[654A33] Click the [be3d3b] Balance Arena button [654A33] to open the [be3d3b] Tournament  interface[654A33]!]],
		id=53,
		pic=[[teach_00053]],
	},
	[54]={
		desc=[[[654A33] Click the [be3d3b] [654A33] button to enter [be3d3b] and join in the contest[654A33] !]],
		id=54,
		pic=[[teach_00054]],
	},
	[55]={
		desc=[[[654A33] Click the [be3d3b] Adventure button [654A33] to open the [be3d3b] All Day Event [654A33] interface!]],
		id=55,
		pic=[[teach_00055]],
	},
	[56]={
		desc=[[[654A33]Only when going to [be3d3b] NPC Kingdom pulling the tail [654A33], [be3d3b] can enter dungeon [654A33]!]],
		id=56,
		pic=[[teach_00056]],
	},
	[57]={
		desc=[[[654A33] Click the [be3d3b] hero [654A33] button to open the [be3d3b] hero interface[654A33]!]],
		id=57,
		pic=[[teach_00057]],
	},
	[58]={
		desc=[[[654A33] Collect [be3d3b] Awakening Item [654A33] and you [be3d3b] Awaken Hero [654A33]!]],
		id=58,
		pic=[[teach_00058]],
	},
	[59]={
		desc=[[[654A33] Click the [be3d3b] Adventure button [654A33] to open the [be3d3b] All Day Event [654A33] interface!]],
		id=59,
		pic=[[teach_00059]],
	},
	[60]={
		desc=[[[654A33] Go to [be3d3b] Kingdom NPC Twilight [654A33] and then [be3d3b] can enter the [654A33] dungeon!]],
		id=60,
		pic=[[teach_00060]],
	},
	[61]={
		desc=[[[654A33] Click the [be3d3b] Housing [654A33] button and click the cooking table on the [be3d3b] Housing [654A33] interface!]],
		id=61,
		pic=[[teach_00061]],
	},
	[62]={
		desc=[[[654A33] Click [be3d3b] Chef Talk [654A33] to start [be3d3b] and start cooking [654A33]!]],
		id=62,
		pic=[[teach_00062]],
	},
	[63]={
		desc=[[[654A33] Click [be3d3b] Housing cooking table [654A33], [be3d3b] harvest [654A33] as a gift!]],
		id=63,
		pic=[[teach_00063]],
	},
	[64]={
		desc=[[[654A33] Drag [be3d3b] gifts to the hero in the Housing [654A33] to complete the gift [be3d3b] [654A33]!]],
		id=64,
		pic=[[teach_00064]],
	},
	[65]={
		desc=[[[654A33] Open interface [be3d3b] hero [654A33], [be3d3b] select rune [654A33] click synthesis!]],
		id=65,
		pic=[[teach_00065]],
	},
	[66]={
		desc=[[[654A33] Select [be3d3b] rune to synthesize [654A33] and then [be3d3b] can start synthesizing [654A33]!]],
		id=66,
		pic=[[teach_00066]],
	},
	[500]={
		desc=[[[654A33] Click the menu button [be3d3b] Summon [654A33] to open the interface of [be3d3b] summon [654A33] ]],
		id=500,
		pic=[[teach_00003]],
	},
	[501]={
		desc=[[[654A33] Click directly on [be3d3b] Summon Ticket [654A33] to start [be3d3b] Summoning heroes [654A33] ]],
		id=501,
		pic=[[teach_00004]],
	},
	[510]={
		desc=[[[654A33] Click the [be3d3b] Adventure button [654A33] on the main interface to open [be3d3b] Adventure [654A33] ]],
		id=510,
		pic=[[teach_00510]],
	},
	[511]={
		desc=[["[654A33] [be3d3b] All Day Events [654A33] found in [be3d3b] Dimenssion [654A36]
[654A33] Output: [3b6cbe] hero Rune "]],
		id=511,
		pic=[[teach_00511]],
	},
	[520]={
		desc=[[[654A33] Click the [be3d3b] Housing [654A33] button on the main interface to open [be3d3b] Housing [654A33] ]],
		id=520,
		pic=[[teach_00520]],
	},
	[521]={
		desc=[[[654A33] Learn more [be3d3b] Housing [654A33], there will be [be3d3b] great things [654A33] happening]],
		id=521,
		pic=[[teach_00521]],
	},
	[530]={
		desc=[[[654A33] Click menu button [be3d3b] Guild [654A33] to open interface [be3d3b] Guild [654A33] ]],
		id=530,
		pic=[[teach_00013]],
	},
	[531]={
		desc=[[[654A33] Click [be3d3b] to quickly join [654A33] to join the guild [be3d3b] [654A33] ]],
		id=531,
		pic=[[teach_00014]],
	},
	[540]={
		desc=[[[654A33] Click the [be3d3b] Adventure button [654A33] on the main interface to open [be3d3b] Adventure [654A33] ]],
		id=540,
		pic=[[teach_00510]],
	},
	[541]={
		desc=[[[654A33] Find card of [be3d3b] Expidition [654A36] in [be3d3b] all-day event card [654A33] ]],
		id=541,
		pic=[[teach_00541]],
	},
	[550]={
		desc=[[[654A33] Click the [be3d3b] Adventure button [654A33] on the main interface to open [be3d3b] Adventure [654A33] ]],
		id=550,
		pic=[[teach_00510]],
	},
	[551]={
		desc=[[Found in "[654A33] [be3d3b] All Day Events [654A33] [be3d3b] [654A36]
[654A33] ※ Output: [3b6cbe] hero shard, hero Rune "]],
		id=551,
		pic=[[teach_00551]],
	},
	[560]={
		desc=[[[654A33] Click menu button [be3d3b] dungeon [654A33] to enter [be3d3b] dungeon [654A33] ]],
		id=560,
		pic=[[teach_00560]],
	},
	[561]={
		desc=[[[654A33] Click [be3d3b] Monster [654A33] to join the battle [be3d3b] [654A33]
[654A33] ※ Output: [3b6cbe] gold coins, medals, Spirit stones, enhancement stones, gems]],
		id=561,
		pic=[[teach_00561]],
	},
	[570]={
		desc=[[[654A33] Click the button [be3d3b] Tournament [654A33] to enter [be3d3b] Tournament [654A33] ]],
		id=570,
		pic=[[teach_00017]],
	},
	[571]={
		desc=[["[654A33] Click [be3d3b]" War "[654A33] to [be3d3b] compete [654A33]
[654A33] ※ Output: [3b6cbe] Honor, Crystal, Scroll Skin "]],
		id=571,
		pic=[[teach_00018]],
	},
	[580]={
		desc=[[[654A33] Click the [be3d3b] Adventure button [654A33] on the main interface to open [be3d3b] Adventure [654A33] ]],
		id=580,
		pic=[[teach_00510]],
	},
	[581]={
		desc=[["[654A33] [be3d3b] All activities of the day [654A33] found [be3d3b] Equipment Dungeon [654A36]
[654A33] ※ Output: [3b6cbe] Character's equipment, gems, enhancement stones, Spirit stones "]],
		id=581,
		pic=[[teach_00581]],
	},
	[590]={
		desc=[[[654A33] Click the [be3d3b] Training button [654A33] on the main interface to open [be3d3b] Training [654A33] ]],
		id=590,
		pic=[[teach_00027]],
	},
	[591]={
		desc=[[[654A33] Click [be3d3b] to start Training [654A33]
[654A33] ※ Output: [3b6cbe] Character EXP, Gold Coins, Fresh Meat Pie]],
		id=591,
		pic=[[teach_00028]],
	},
	[600]={
		desc=[[[654A33] Click the [be3d3b] Adventure button [654A33] on the main interface to open [be3d3b] Adventure [654A33] ]],
		id=600,
		pic=[[teach_00510]],
	},
	[601]={
		desc=[[[654A33] found in [be3d3b] all day activity [654A33] [be3d3b] discover [654A36]
[654A33] ※ Output: [3b6cbe] Character EXP, Diamond, gold coins, hero pieces]],
		id=601,
		pic=[[teach_00601]],
	},
	[610]={
		desc=[[[654A33] Click the [be3d3b] "hero" - "N" interface [654A33] and find [be3d3b] Fresh meat vermicelli [654A33] ]],
		id=610,
		pic=[[teach_00611]],
	},
	[611]={
		desc=[[[654A33] [be3d3b] Fresh meat pie [654A33]: [be3d3b] During the nurturing process [654A36], feed other heroes, and heroes can accumulate a lot of EXP]],
		id=611,
		pic=[[teach_00610]],
	},
	[620]={
		desc=[[[654A33] [be3d3b] Competition [654A33] between players can only take place on [be3d3b] ALiena [654A33] ]],
		id=620,
		pic=[[teach_00620]],
	},
	[621]={
		desc=[[[654A33] Ring [be3d3b] is located at [654A33] Kingdom [be3d3b] (12, 13) [654A36] ]],
		id=621,
		pic=[[teach_00621]],
	},
}

ShowSort={
	[1]=30003,
	[2]=30020,
	[3]=30032,
	[4]=30031,
	[5]=30015,
	[6]=30023,
	[7]=30024,
	[8]=30006,
	[9]=30001,
	[10]=30025,
	[11]=30007,
	[12]=30026,
	[13]=30022,
	[14]=30008,
	[15]=30009,
	[16]=30029,
	[17]=30033,
	[18]=30017,
	[19]=30011,
	[20]=30028,
	[21]=30019,
	[22]=30012,
	[23]=30016,
	[24]=30018,
	[25]=30030,
	[26]=30610,
	[27]=30600,
	[28]=30550,
	[29]=30005,
	[30]=30027,
	[31]=30021,
	[32]=30010,
	[33]=30013,
	[34]=30014,
	[35]=30004,
	[36]=30002,
	[37]=30580,
	[38]=30590,
	[39]=30570,
	[40]=30620,
	[41]=30540,
	[42]=30530,
	[43]=30510,
	[44]=30560,
	[45]=30520,
	[46]=30500,
}
